edu.wpi.first.wpilibj.tables

## Interface ITableListener

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

  Deprecated.
  Use Consumer<`EntryNotification`>, `TableEntryListener`, or `TableListener` as appropriate.

      @FunctionalInterface
       @Deprecated
      public interface ITableListener

  A listener that listens to changes in values in a `ITable`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `valueChanged(ITable source, java.lang.String key, java.lang.Object value, boolean isNew)` Deprecated. Called when a key-value pair is changed in a `ITable`
    `default void` | `valueChangedEx(ITable source, java.lang.String key, java.lang.Object value, int flags)` Deprecated. Extended version of valueChanged.

- - ### Method Detail

    - #### valueChanged

          void valueChanged(ITable source,
                            java.lang.String key,
                            java.lang.Object value,
                            boolean isNew)

      Deprecated.
      Called when a key-value pair is changed in a `ITable`
      Parameters:
        `source` - the table the key-value pair exists in
        `key` - the key associated with the value that changed
        `value` - the new value
        `isNew` - true if the key did not previously exist in the table, otherwise it is false

    - #### valueChangedEx

          default void valueChangedEx(ITable source,
                                      java.lang.String key,
                                      java.lang.Object value,
                                      int flags)

      Deprecated.
      Extended version of valueChanged. Called when a key-value pair is changed in a `ITable`. The default implementation simply calls valueChanged(). If this is overridden, valueChanged() will not be called.
      Parameters:
        `source` - the table the key-value pair exists in
        `key` - the key associated with the value that changed
        `value` - the new value
        `flags` - update flags; for example, NOTIFY_NEW if the key did not previously exist in the table